/**
 * @hidden
 * @packageDocumentation
 */
import { ClientAuthentication as ClientAuthenticationBase } from "@inrupt/solid-client-authn-core";
import type { ILoginInputOptions, ISessionInfo, SessionConfig, ISessionInternalInfo, AuthorizationRequestState } from "@inrupt/solid-client-authn-core";
import type { EventEmitter } from "events";
/**
 * @hidden
 */
export default class ClientAuthentication extends ClientAuthenticationBase {
    login: (sessionId: string, options: ILoginInputOptions, eventEmitter: EventEmitter, config?: SessionConfig) => Promise<ISessionInfo | undefined>;
    getSessionIdAll: () => Promise<string[]>;
    registerSession: (sessionId: string) => Promise<void>;
    clearSessionAll: () => Promise<void>;
    handleIncomingRedirect: (url: string, eventEmitter: EventEmitter, config?: SessionConfig) => Promise<ISessionInfo | undefined>;
    setSession: (sessionId: string, sessionInfo: Partial<ISessionInfo & ISessionInternalInfo>) => Promise<void>;
    setOidcContext: (sessionId: string, authorizationRequestState: AuthorizationRequestState & {
        keepAlive: false;
        clientType: "solid-oidc";
    }) => Promise<void>;
}
